<?php

	function SetHeightWeight( $character )
	{
		$htlow = false;
		$htavg = false;
		$hthigh = false;
		$wtlow = false;
		$wtavg = false;
		$wthigh = false;
		switch( $character->class )
		{
			case 'Dwarf':
				switch( $character->sex )
				{
					case 'Male':
						$baseht = 48;
						$basewt = 150;
						$mht = mt_rand(1,4);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(2,16);
						$pwt = mt_rand(2,24); 
						break;
					case 'Female':
						$baseht = 46;
						$basewt = 120;
						$mht = mt_rand(1,4);
						$pht = mt_rand(1,4);
						$mwt = mt_rand(2,16);
						$pwt = mt_rand(2,20); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 16)
					$htlow = true;
				else if($rand < 81)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 21)
					$wtlow = true;
				else if($rand < 66)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Cleric':
			case 'Thief':
			case 'Magic-User':
			case 'Fighter':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 72;
						$basewt = 175;
						$mht = mt_rand(1,12);
						$pht = mt_rand(1,12);
						$mwt = mt_rand(3,36);
						$pwt = mt_rand(5,60);
						break;
					case 'Female':
						$baseht = 66;
						$basewt = 130;
						$mht = mt_rand(1,6);
						$pht = mt_rand(1,8);
						$mwt = mt_rand(3,30);
						$pwt = mt_rand(4,48); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 21)
					$htlow = true;
				else if($rand < 81)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 26)
					$wtlow = true;
				else if($rand < 76)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Halfling':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 36;
						$basewt = 60;
						$mht = mt_rand(1,3);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(2,8);
						$pwt = mt_rand(2,12); 
						break;
					case 'Female':
						$baseht = 33;
						$basewt = 50;
						$mht = mt_rand(1,3);
						$pht = mt_rand(1,3);
						$mwt = mt_rand(2,8);
						$pwt = mt_rand(2,8); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 11)
					$htlow = true;
				else if($rand < 91)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 11)
					$wtlow = true;
				else if($rand < 51)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Elf':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 60;
						$basewt = 100;
						$mht = mt_rand(1,4);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(1,10);
						$pwt = mt_rand(1,20); 
						break;
					case 'Female':
						$baseht = 54;
						$basewt = 80;
						$mht = mt_rand(1,4);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(1,10);
						$pwt = mt_rand(2,12); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 11)
					$htlow = true;
				else if($rand < 81)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 16)
					$wtlow = true;
				else if($rand < 91)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Half-Orc':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 66;
						$basewt = 150;
						$mht = mt_rand(1,4);
						$pht = mt_rand(1,4);
						$mwt = mt_rand(2,16);
						$pwt = mt_rand(4,40); 
						break;
					case 'Female':
						$baseht = 62;
						$basewt = 120;
						$mht = mt_rand(1,3);
						$pht = mt_rand(1,3);
						$mwt = mt_rand(3,18);
						$pwt = mt_rand(4,32); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 46)
					$htlow = true;
				else if($rand < 76)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 31)
					$wtlow = true;
				else if($rand < 56)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Gnome':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 42;
						$basewt = 80;
						$mht = mt_rand(1,3);
						$pht = mt_rand(1,3);
						$mwt = mt_rand(2,8);
						$pwt = mt_rand(2,12); 
						break;
					case 'Female':
						$baseht = 39;
						$basewt = 75;
						$mht = mt_rand(1,3);
						$pht = mt_rand(1,3);
						$mwt = mt_rand(1,8);
						$pwt = mt_rand(1,8); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 21)
					$htlow = true;
				else if($rand < 86)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 21)
					$wtlow = true;
				else if($rand < 76)
					$wtavg = true;
				else
					$wthigh = true;
				break;
				
			case 'Half-Elf':
				switch($character->sex)
				{
					case 'Male':
						$baseht = 66;
						$basewt = 130;
						$mht = mt_rand(1,6);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(1,20);
						$pwt = mt_rand(1,20); 
						break;
					case 'Female':
						$baseht = 62;
						$basewt = 100;
						$mht = mt_rand(1,6);
						$pht = mt_rand(1,6);
						$mwt = mt_rand(1,12);
						$pwt = mt_rand(2,16); 
						break;
				}
				$rand = mt_rand(1,100);
				if($rand < 36)
					$htlow = true;
				else if($rand < 91)
					$htavg = true;
				else
					$hthigh = true;
				$rand = mt_rand(1,100);
				if($rand < 21)
					$wtlow = true;
				else if($rand < 86)
					$wtavg = true;
				else
					$wthigh = true;
				break;
		}
		
		// Set Height
		if( $htlow )
		{
			$character->height = $baseht - $mht;
		}
		else if( $htavg )
		{
			$rand = mt_rand(1,100);
			if( $rand < 31 )
			{
				if( $baseht < 60 )
					$character->height = $baseht - mt_rand(1,3);		
				else
					$character->height = $baseht - mt_rand(1,4);	
			}
			else if( $rand < 71 )
			{
				$character->height = $baseht;
			}
			else
			{
				if( $baseht < 60 )
					$character->height = $baseht + mt_rand(1,3);		
				else
					$character->height = $baseht + mt_rand(1,4);	
			}
		}
		else if( $hthigh )
		{
			$character->height = $baseht + $pht;
		}
		
		// Set Weight
		if( $wtlow )
		{
			$character->weight = $basewt - $mwt;
		}
		else if( $wtavg )
		{
			$rand = mt_rand(1,100);
			if( $rand < 31 )
			{
				if( $basewt < 100 )
					$character->weight = $basewt - mt_rand(1,4);		
				else
					$character->weight = $basewt - mt_rand(1,8);	
			}
			else if( $rand < 71 )
			{
				$character->weight = $basewt;
			}
			else
			{
				if( $basewt < 100 )
					$character->weight = $basewt + mt_rand(1,4);		
				else
					$character->weight = $basewt + mt_rand(1,8);	
			}
		}
		else if( $wthigh )
		{
			$character->weight = $basewt + $pwt;
		}
	}
   
?>