<?php
   
/*

Just returns the character array right now

*/
 
   function PrintChar( $character )
   {
      
		$out = "<table class=char><tr><td><b>Name:</b> ".
				$character->name.
				"</td><td><b>Title:</b> ".
				$character->title.
				"</td><td><b>Class:</b> ".
				$character->class.
				"</td><td><b>Level:</b> ".
				$character->level.
				"</td><td><b>Hit Points:</b> ".
				$character->hitpoints.
				"</td><td><b>Armor Class:</b> ".
				$character->armorclass.
				"</td></tr><tr><td><b>Alignment:</b> ".
				$character->align.
				"</td><td><b>XP:</b> ".
				$character->earnedxp.
				"</td><td><b>Sex:</b> ".
				$character->sex.
				"</td><td><b>Age:</b> ".
				$character->age.
				"</td><td><b>Height:</b> ".
				feettoinches($character->height).
				"</td><td><b>Weight:</b> ".
				$character->weight.
				"#</td></tr></table><table class=stats><tr><td><b>STR:</b> ".
				$character->str.
				"</td><td><b>To Hit</b>: ".
				$character->tohitbonus.
				"</td><td><b>To Dam:</b> ".
				$character->todambonus.
				"</td><td><b>Open Doors:</b> ".
				$character->opendoorsbonus.
				"</td></tr><tr><td><b>DEX:</b> ".
				$character->dex.
				"</td><td><b>AC Mod:</b> ".
				$character->acmod.
				"</td><td><b>Initiative:</b> ".
				$character->initadd.
				"</td><td><b>Missile Adj:</b> ".
				$character->missileatt.
				"</td></tr><tr><td><b>CON:</b> ".
				$character->con.
				"</td><td><b>HP Adj:</b> ".
				$character->hpmod.
				"</td></tr><tr><td><b>INT:</b> ".
				$character->int.
				"</td><td><b>Add Langs:</b> ".
				$character->addlang.
				"</td><td>".
				$character->langprof.
				"</td></tr><tr><td><b>WIS:</b> ".
				$character->wis.
				"</td><td><b>Save vs. Magic:</b> ".
				$character->savemod.
				"</td></tr><tr><td><b>CHA:</b> ".
				$character->cha.
				"</td><td><b>Reaction Adj:</b> ".
				$character->reactadj.
				"</td><td><b>Retainers:</b> ".
				$character->retainers.
				"</td><td><b>Retainer Morale:</b> ".
				$character->retainermorale.
				"</td></tr></table><table class=saves><tr><td colspan=5><b><u>Saving Throws</u></b></td></tr><tr><td><b>Breath Attacks</b></td><td><b>Poison or Death</b></td><td><b>Petrify or Paralyze</b></td><td><b>Wands</b></td><td><b>Spells or Spell-like Devices</b></td></tr><tr><td>".
				$character->breathattack.
				"</td><td>".
				$character->poisondeath.
				"</td><td>".
				$character->petrifyparalyze.
				"</td><td>".
				$character->wands.
				"</td><td>".
				$character->spells.
				"</td></tr></table>";

     	$out .= "<table class=att><tr><td colspan=13><b><u>To-Hit Armor Class</u></b></td></tr><tr>";
     	$header = array(
     				"9"		=> '9',
     				"8"		=> '8',
     				"7"		=> '7',
     				"6"		=> '6',
     				"5"		=> '5',
     				"4"		=> '4',
     				"3"		=> '3',
     	     		"2"		=> '2',
     				"1"		=> '1',
     	     		"0"		=> '0',
     				"-1"	=> '-1',
     	     		"-2"	=> '-2',
     				"-3"	=> '-3'
     			);
     	$data = array();
		foreach( $header as $key => $headerVal )
			$data[] = array( $headerVal, $character->attacktable[$key] );
			
		for( $i=0; $i<count($data); $i++ )
			$out .= "<td><b>".$data[$i][0]."</b></td>";
		$out .= "</tr><tr>";
		for( $i=0; $i<count($data); $i++ )
			$out .= "<td>".$data[$i][1]."</td>";
		$out .= "</tr></table>";
			
     	if( $character->thiefskills != null )
		{
     		$out .= "<table class=ts><tr><td colspan=7><b><u>Thief Skills</u></b></td></tr><tr>";
     		$header = array(
     					"OL"	=> 'Open Locks',
     					"F/RT"	=> 'Find or Remove Traps',
     					"PP"	=> 'Pick Pockets',
     					"MS"	=> 'Move Silently',
     					"CW"	=> 'Climb Sheer Surfaces',
     					"HS"	=> 'Hide in Shadows',
     					"HN"	=> 'Hear Noise'
     				);
     		$data = array();
			foreach( $header as $key => $headerVal )
				$data[] = array( $headerVal, $character->thiefskills[$key] );
			
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td><b>".$data[$i][0]."</b></td>";
			$out .= "</tr><tr>";
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td>".$data[$i][1]."</td>";
			$out .= "</tr></table>";
     	}

     	if( $character->spellcasting != null && isset($character->spellcasting['SL1']) && $character->spellcasting['SL1'] != "-" && $character->spellcasting['SL1'] > 0 )
     	{
     		if( isset($character->spellcasting['SL6']) )
     			$cols = 6;
     		else
     			$cols = 5;
     		$out .= "<table class=sc><tr><td colspan=".$cols."><b><u>Spells Per Day</u></b></td></tr><tr>";
     		$header = array(
     					"SL1"	=> 'Level 1',
     					"SL2"	=> 'Level 2',
     					"SL3"	=> 'Level 3',
     					"SL4"	=> 'Level 4',
     					"SL5"	=> 'Level 5',
     					"SL6"	=> 'Level 6',
     				);
     		$data = array();
			foreach( $header as $key => $headerVal )
				if( isset($character->spellcasting[$key]) )
					$data[] = array( $headerVal, $character->spellcasting[$key] );
			
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td><b>".$data[$i][0]."</b></td>";
			$out .= "</tr><tr>";
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td>".$data[$i][1]."</td>";
			$out .= "</tr></table>";
     							
			$out .= "<table class=spells><tr><td><b><u>Spells Memorized</u></b></td><tr>";
			$i = 1;
			foreach( $character->spellsmemorized as $sm )
			{
				sort( $sm );
				$sl = "<tr><td><b>Lvl ".$i.":</b> ";
				foreach( $sm as $s )
					$sl .= $s.", ";
				$sl = substr( $sl, 0, strlen($sl)-2 );
				$out .= $sl."</td></tr>";
				$i++;
			}
			$out .= "</table>";
     							
			$out .= "<table class=spells><tr><td><b><u>Spells Known</u></b></td><tr>";
			$i = 1;
			foreach( $character->spellsknown as $sk )
			{
				sort( $sk );
				$sl = "<tr><td><b>Lvl ".$i.":</b> ";
				foreach( $sk as $s )
					$sl .= $s.", ";
				$sl = substr( $sl, 0, strlen($sl)-2 );
				$out .= $sl."</td></tr>";
				$i++;
			}
			$out .= "</table>";
     	} 
	
	  	if( $character->turnundead != null )
	  	{
     		$out .= "<table class=tu><tr><td colspan=7><b><u>Turn Undead</u></b></td></tr><tr>";
     		$header = array(
     					"Skeleton"	=> 'Skeleton',
     					"Zombie"	=> 'Zombie',
     					"Ghoul"		=> 'Ghoul',
     					"Wight"		=> 'Wight',
     					"Wraith"	=> 'Wraith',
     					"Mummy"		=> 'Mummy',
     					"Spectre"	=> 'Spectre',
     		     		"Vampire"	=> 'Vampire'
     				);
     		$data = array();
			foreach( $header as $key => $headerVal )
				if( isset($character->turnundead[$key]) )
					$data[] = array( $headerVal, $character->turnundead[$key] );
			
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td><b>".$data[$i][0]."</b></td>";
			$out .= "</tr><tr>";
			for( $i=0; $i<count($data); $i++ )
				$out .= "<td>".$data[$i][1]."</td>";
			$out .= "</tr></table>";
		}

		$out .= "<table class=other><tr><td><b>Other Abilities:</b> ".$character->misc."</td></tr><tr><td><b>Languages:</b> ";
		$langs = "";
 		foreach( $character->spokenlangs as $c )
 			$langs .= "$c, ";
   	 	$langs = substr( $langs, 0, strlen($langs)-2 );
 		$out .= $langs."</td></tr></table>";
 		
		$out .= "<table class=equip><tr><td><b>Weapon:</b> ";
		if( isset($character->equipment['weapon']) )
			$out .= $character->equipment['weapon'];
		if( !empty($character->magic['WeaponPlus']) )
			$out .= " +".$character->magic['WeaponPlus'];
		
		$out .= "</td></tr><tr><td><b>Armor:</b> ";
		if( isset($character->equipment['armor']) )
			$out .= $character->equipment['armor'];
		if( !empty($character->magic['ArmorPlus']) )
		{
			if( $character->equipment['armor'] == 'Bracers' )
				$out .= " (AC ".(5-$character->magic['ArmorPlus']).")";
			else
				$out .= " +".$character->magic['ArmorPlus'];
		}
		
		if( (isset($character->equipment['shield']) && $character->equipment['shield']) || (isset($character->magic['Shield']) && $character->magic['Shield']) )
		{
			$out .= ", Shield";
			if( !empty($character->magic['ShieldPlus']) )
				$out .= " +".$character->magic['ShieldPlus'];
		}
		$out .="</td></tr><tr><td><b>Other Magic:</b><ul>";
		
		if( !empty($character->magic['Bow']) )
			$out .= "<li>Magic Bow +".$character->magic['BowPlus']."</li>";
		if( !empty($character->magic['Bolts']) )
			$out .= "<li>".$character->magic['Bolts']."</li>";
		if( !empty($character->magic['Dagger']) )
			$out .= "<li>Magic Dagger +".$character->magic['DaggerPlus']."</li>";		
		if( !empty($character->magic['Ring']) )
			$out .= "<li>Ring of Protection +".$character->magic['RingPlus']."</li>";		
		if( !empty($character->magic['Potions']) )
		{
			$out .= "<li>Potions<ul>";
			foreach( $character->magic['Potions'] as $p )
				$out .= "<li>".$p."</li>";
			$out .= "</ul></li>";
		}
		if( !empty($character->magic['Scrolls']) )
		{
			$out .= "<li>Scrolls<ul>";
			foreach( $character->magic['Scrolls'] as $s )
				$out .= "<li>".$s."</li>";
			$out .= "</ul></li>";
		}
		if( !empty($character->magic['Misc']) )
		{
			$out .="<li>Miscellaneous<ul>";
			foreach( $character->magic['Misc'] as $m )
				$out .= "<li>".$m."</li>";
			$out .= "</ul></li>";
		}
		
		$out .= "</ul></td></tr><tr><td><b>Equipment:</b><ul>";
		
		foreach( $character->equipment['misc'] as $eq )
			$out .= "<li>".$eq."</li>";
		
		if( $character->equipment['food'] != null )
		{
			foreach( $character->equipment['food'] as $eq )
				$out .= "<li>".$eq."</li>";
		}		
		if( $character->equipment['thief'] != null )
		{
			foreach( $character->equipment['thief'] as $eq )
				$out .= "<li>".$eq."</li>";
		}
		if( $character->equipment['magic-user'] != null )
		{
			foreach( $character->equipment['magic-user'] as $eq )
				$out .= "<li>".$eq."</li>";
		}
		if( $character->equipment['cleric'] != null )
		{
			foreach( $character->equipment['cleric'] as $eq )
				$out .= "<li>".$eq."</li>";
		}
		$out .="</ul></td></tr></table>";  
		
		$out .= "<table class=gp><tr>";
		$header = array( 'CP', 'SP', 'EP', 'GP', 'PP' );
		foreach( $header as $h )
				$out .= "<td><b>".$h."</b></td>";
		$out .= "</tr><tr>";
		foreach( $character->goldpieces as $gp )
				$out .= "<td>".$gp."</td>";
		$out .= "</tr></table>";  
	
	
		//Personality traits
		$out .= "<table class=traits>";
		foreach( $character->characteristics as $key => $value )
			$out .= "<tr><td><b>".$key.":</b> ".ucwords($value)."</td></tr>";
			
		//Background
		$out .="<tr><td></td></tr><tr><td>".$character->background."</td></tr>";
		$out .= "</table>";
		
   		return $out;
   }

?>
