<?php

	function GetQualities( $character )
	{
		$generalappearance = array(		//d10
								'dirty',
								'clean',
								'unkempt',
								'immaculate',
								'rough',
								'ragged',
								'dandyish',
								'foppish',
								'non-descript',
								'imposing'
							);
							
		$sanity = array(				//d10
								'very stable',
								'normal',
								'normal',
								'normal',
								'normal',
								'normal',
								'neurotic',
								'unstable',
								'insane',
								'maniacal'
							);
							
		$tendencies = array(			//d24
								'optimist',
								'pessimist',
								'hedonist',
								'altruist',
								'helpful/kindly',
								'careless',
								'capricious/mischievous',
								'sober',
								'curious/inquisitive',
								'moody',
								'trusting',
								'suspicious/cautious',
								'precise/exacting',
								'perceptive',
								'opinionated/contrary',
								'violent/warlike',
								'studious',
								'foul/barbaric',
								'cruel/callous',
								'practical joker/prankster',
								'servile/obsequious',
								'fanatical/obsessive',
								'malevolent',
								'loquacious'
							);
							
		$personality = array(			//d8
								'average',
								'average',
								'average',
								'average',
								'average',
								'extrovert',
								'extrovert',
								'introvert'
							);
							
		$average = array(				//d8
								'modest',
								'egoist/arrogant',
								'friendly',
								'aloof',
								'hostile',
								'well-spoken',
								'diplomatic',
								'abrasive'
							);
		
		$extrovert = array(				//d8
								'forceful',
								'overbearing',
								'friendly',
								'blustering',
								'antagonistic',
								'rude',
								'rash',
								'diplomatic'
							);
		
		$introvert = array(				//d8
								'retiring',
								'taciturn',
								'friendly',
								'aloof',
								'hostile',
								'rude',
								'courteous',
								'solitary/secretive'
							);

		$disposition = array(			//d10
								'cheerful',
								'morose',
								'compassionate/sensitive',
								'unfeeling/insensitive',
								'humble',
								'proud/haughty',
								'even tempered',
								'hot tempered',
								'easy going',
								'harsh'
							);
		
		$nature = array(				//d6
								'soft-hearted',
								'forgiving',
								'hard-hearted',
								'unforgiving',
								'jealous',
								'vengeful'
							);
		
		$honesty = array(				//d8
								'scrupulous',
								'very honorable',
								'truthful',
								'average',
								'average',
								'average',
								'liar',
								'deceitful'
							);
		
		$energy = array(				//d8
								'slothful',
								'lazy',
								'normal',
								'normal',
								'normal',
								'energetic',
								'energetic',
								'driven'
							);
		
		$morals = array(				//d12
								'aesthetic',
								'virtuous',
								'normal',
								'normal',
								'lusty',
								'lusty',
								'lustful',
								'immoral',
								'amoral',
								'perverted',
								'sadistic',
								'depraved'
							);
		
		$intellect = array(				//d10
								'dull',
								'average',
								'average',
								'active',
								'active',
								'dreaming',
								'ponderous',
								'anti-intellectual',
								'scheming',
								'brilliant'
							);
		
		$materialism = array(			//d6
								'aesthetic',
								'intellectualist',
								'average',
								'covetous',
								'greedy',
								'avaricious'
							);
		
		$bravery = array(				//d8
								'normal',
								'normal',
								'normal',
								'foolhardy',
								'brave',
								'fearless',
								'cowardly',
								'craven'
							);
		
		$thrift = array(				//d8
								'miserly',
								'mean',
								'thrifty',
								'average',
								'average',
								'spendthrift',
								'spendthrift',
								'wastrel'
							);
		
		$piety = array(					//d12
								'saintly',
								'martyr/zealot',
								'pious',
								'reverent',
								'average',
								'average',
								'average',
								'average',
								'impious',
								'irreverent',
								'iconoclastic',
								'irreligious'
							);
		
		$interests = array(				//d24
								'religion',
								'legends',
								'history',
								'nature',
								'horticulture',
								'husbandry',
								'exotic animals',
								'hunting',
								'fishing',
								'handicrafts',
								'athletics',
								'politics',
								'wines and spirits',
								'foods and preparation',
								'gambling',
								'drugs',
								'collector',
								'collector',
								'collector',
								'collector',
								'community service',
								'altruism',
								'none',
								'none'
							);
		
		$collections = array(			//d12
								'knives and daggers',
								'swords',
								'weapons',
								'shields and weapons',
								'armor',
								'books and scrolls',
								'minerals and gems',
								'ornaments and jewelry',
								'coins and tokens',
								'trophies and skins',
								'porcelain, china and crystal',
								'artwork'
							);
		
		$character->characteristics['General Appearance'] = $generalappearance[mt_rand(0,9)];
		
		// Re-rolling to see if you actually are insane
		$rand = mt_rand(0,9);
		if($rand > 7)
			$character->characteristics['Sanity'] = $sanity[mt_rand(0,9)];
		else
			$character->characteristics['Sanity'] = $sanity[$rand];
		
		$character->characteristics['Tendencies'] = $tendencies[mt_rand(0,23)];
		
		$rand = $personality[mt_rand(0,7)];
		if($rand == 'average')
			$character->characteristics['Personality'] = $rand.' - '.$average[mt_rand(0,7)];
		else if($rand == 'extrovert')
			$character->characteristics['Personality'] = $rand.' - '.$extrovert[mt_rand(0,7)];
		else if($rand == 'introvert')
			$character->characteristics['Personality'] = $rand.' - '.$introvert[mt_rand(0,7)];
		
		$character->characteristics['Disposition'] = $disposition[mt_rand(0,9)];
		$character->characteristics['Nature'] = $nature[mt_rand(0,5)];
		$character->characteristics['Honesty'] = $honesty[mt_rand(0,7)];
		$character->characteristics['Energy'] = $energy[mt_rand(0,7)];
		
		// Re-roll to see if you're really a sadist
		$rand = mt_rand(0,11);
		if($rand > 8)
			$character->characteristics['Morals'] = $morals[mt_rand(0,11)];
		else
			$character->characteristics['Morals'] =  $morals[$rand];
		
		$character->characteristics['Intellect'] = $intellect[mt_rand(0,9)];
		$character->characteristics['Materialism'] = $materialism[mt_rand(0,5)];
		$character->characteristics['Bravery'] = $bravery[mt_rand(0,7)];
		$character->characteristics['Thrift'] = $thrift[mt_rand(0,7)];
		$character->characteristics['Piety'] = $piety[mt_rand(0,11)];
		$rand = mt_rand(0,23);
		$character->characteristics['Interests'] = $interests[$rand];
		if(($rand > 15)&&($rand < 20))
			$character->characteristics['Interests'] .= ' - '.$collections[mt_rand(0,11)];
	}

?>