<?php
   
	function SetSaves( $character )
	{
    	$savesFiles = array(
    						"Thief"			=> "Saves_Thief.txt",
    						"Fighter"		=> "Saves_Fighter.txt",
    	    				"Halfling"		=> "Saves_DwarfHalfling.txt",
    	    				"Dwarf"			=> "Saves_DwarfHalfling.txt",
    	    				"Cleric"		=> "Saves_Cleric.txt",
    	    				"Magic-User"	=> "Saves_MagicUser.txt",
    	    				"Elf"			=> "Saves_Elf.txt"
    					);
    					
		$file = explode( "\n", trim(file_get_contents("data/".$savesFiles[$character->class])) );
		$savesInfo = array();
		$count = 0;
		foreach( $file as $line )
    	{
    		$count++;
    		if( $count >= 3 )
    		{
	    		$a = explode( "|", $line );
	    		$level = trim( $a[0] );
	    		$saveDeathPoison = trim( $a[1] );
	    		$saveWands = trim( $a[2] );
	    		$saveParalysisPetrif = trim( $a[3] );
	    		$saveBreath = trim( $a[4] );
	    		$saveRodStaffSpell = trim( $a[5] );
	    		$savesInfo[$level] = array( 'deathPoison'=>$saveDeathPoison, 'wands'=>$saveWands, 'paralysisPetrif'=>$saveParalysisPetrif, 'breath'=>$saveBreath, 'rodStaffSpell'=>$saveRodStaffSpell );
    		}
    	}
    	
    	$lastLevel = -1000;
    	$saves = null;
    	foreach( $savesInfo as $level => $values )
    	{
    		if( $character->level > $lastLevel && $character->level <= $level )
    			$saves = $values;
    		$lastLevel = $level;
    	}
    	
    	if( $saves == null )
    	{
    		print( "<br/><b>Error:</b> No saving throws found in file!<br/>" );
    		die;
    	}
    	
		$character->breathattack = $saves['breath'];
		$character->poisondeath = $saves['deathPoison'];
		$character->petrifyparalyze = $saves['paralysisPetrif'];
		$character->wands = $saves['wands'];
		$character->spells = $saves['rodStaffSpell'];
	}
   
?>
