<?php
   
	function GetSpellsKnown( $character )
	{
		switch($character->class)
		{
			case 'Elf':
			case 'Magic-User':
				for( $level=1; $level<=5; $level++ )
				{
					$k = "SL".$level;
					if( isset($character->spellcasting[$k]) && $character->spellcasting[$k] > 0 )
					{
						$a = explode( "\n", trim(file_get_contents("data/Spells_MagicUser_".$level.".txt")) );
						$b = array();
						$numToChoose = $character->spellcasting[$k];
						while( $numToChoose > 0 )
						{
							$spell = $a[mt_rand(0,count($a)-1)];
							if( !in_array($spell,$b) )
							{
								$b[] = $spell;
								$numToChoose--;
							}
						}
						sort( $b );
						$character->spellsknown[$level] = $b;
						$character->spellsmemorized[$level] = array();
						for( $i=0; $i<$character->spellcasting[$k]; $i++ )
						{
							$character->spellsmemorized[$level][] = $b[mt_rand(0,count($b)-1)];
						}
						sort( $character->spellsmemorized[$level] );
					}
				}
				break;

			case 'Cleric':
				for( $level=1; $level<=5; $level++ )
				{
					$k = "SL".$level;
					if( isset($character->spellcasting[$k]) && $character->spellcasting[$k] > 0 )
					{
						$b = explode( "\n", trim(file_get_contents("data/Spells_Cleric_".$level.".txt")) );
						sort( $b );
						$character->spellsknown[$level] = $b;
						$character->spellsmemorized[$level] = array();
						for( $i=0; $i<$character->spellcasting[$k]; $i++ )
						{
							$character->spellsmemorized[$level][] = $b[mt_rand(0,count($b)-1)];
						}
						sort( $character->spellsmemorized[$level] );
					}
				}
				break;

			default:
				$character->spellsknown = null;
		}
	}

?>
