<?php
	
	include_once( "bxcharacter/Character.php.inc" );
	include_once( "bxcharacter/PrintChar.php.inc" );
	
	session_start();

	if( isset($_GET['pdf']) )
	{
		$_SESSION['character']->PDFChar();
		die;
	}
	
	if( isset($_GET['stats']) )
		$statsMethod = $_GET['stats'];
	else
		$statsMethod = "";
	
	if( isset($_GET['class']) )
		$className = $_GET['class'];
	else
		$className = "";
	
	if( isset($_GET['align']) )
		$alignName = $_GET['align'];
	else
		$alignName = "";
			
	if( isset($_GET['level']) )
		$levelVal = $_GET['level'];
	else
		$levelVal = "";
			
	if( isset($_GET['sex']) )
		$sexVal = $_GET['sex'];
	else
		$sexVal = "";
			
	if( isset($_GET['name']) )
		$nameVal = $_GET['name'];
	else
		$nameVal = "";
		
	$character = new Character( $statsMethod, $className, $alignName, $levelVal, $sexVal, $nameVal );
	$_SESSION['character'] = $character;
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
"http://www.w3.org/TR/REC-html40/strict.dtd">
<link rel="stylesheet" type="text/css" href="./style.css">
<html><head>
<title>B/X D&D Character Generator</title>
	<script type="text/javascript">
		$help = 'Select any feature using drop-down menus. If not selected, random choice will be made.\n\nIf User-Specified stats are desired, simply enter into boxes below. If a box is left empty,\na random 3D6 will be rolled.\n\nView page source for comments/info.';
	</script>
</head>
<body>
<br/>
<p align=center>
<a href="/">Home</a>
</p>
<p align=center>
<A href="javascript: alert($help)">How to use</A>
</p>
<table>
<form id='makechar' name='makechar'>
<input type=hidden name='MakeChar' value='True'>
   <tr>
    <td  align=center>
	<select name='stats'>
		<option value='3D6' >3D6 - Add All</option>
		<option value='4D6' >4D6 - Drop lowest</option>
		<option value='5D6' >5D6 - Drop lowest two</option>
		<option value='User'>User Specified</option>
	</select>
    </td>
    <td>
	<select name='class'>
		<option value='Random'>Random Class</option>
		<option value='Cleric' >Cleric</option>
		<option value='Fighter' >Fighter</option>
		<option value='Magic-User' >Magic-User</option>
		<option value='Thief'>Thief</option>
		<option value='Dwarf' >Dwarf</option>
		<option value='Elf' >Elf</option>
		<option value='Halfling' >Halfling</option>		
	</select>
    </td>    
    <td>
	<select name='align'>
		<option value='Random' >Random Alignment</option>
		<option value='Lawful' >Lawful</option>
		<option value='Neutral' >Neutral</option>
		<option value='Chaotic'>Chaotic</option>
	</select>
    </td>
    <td>
	<select name='level'>
		<option value='Random'>Random Level</option>
		
		<?php
		   for($i=1;$i<=14;$i++)
		   	print("<option value='$i'>$i</option>");
		?>
		
	</select>
    </td>
    <td>
	<select name='sex'>
		<option value='Random'>Random Sex</option>
		<option value='Male'>Male</option>
		<option value='Female'>Female</option>
	</select>
    </td>
    <td>
	<select name='name'>
		<option value='Random'>Random Name</option>
		<option value='User'>User Specified</option>
	</select>
    </td>
   </tr>
  <tr>
    <td>
    	<table class=statentry>
    	<tr>
    	<td>
    	STR
    	</td>
    	<td>
    	DEX
    	</td>
    	 <td>
    	 CON
    	</td>
    	<td>
    	INT
    	</td>
    	<td>
    	WIS
    	</td>
    	<td>
    	CHA
    	</td>
    	</tr>
    	<tr>
    	  <td>
		<input type=text class='stat' size=3 name='userstat[]'>
    	  </td>
	  <td>
	  	<input type=text class='stat'size=3  name='userstat[]'>
    	  </td>
	  <td>
	  	<input type=text class='stat' size=3 name='userstat[]'>
    	  </td>
	  <td>
	  	<input type=text class='stat' size=3 name='userstat[]'>
    	  </td>
          <td>
          	<input type=text class='stat' size=3 name='userstat[]'>
    	  </td>
	  <td>
	  	<input type=text class='stat' size=3 name='userstat[]'>
    	  </td>
    	</tr>
    	</table>
    </td>
    <td>
    </td>
    <td>
    </td>
    <td>
    </td>
    <td>
    </td>
    <td>
    <input type=text size=16 name='username'>
    </td>
  </tr>
  <tr align=center>
    <td colspan=6>
      <input type=submit value='Create Character'>
      <!-- <input type=button value='Show PDF' onClick="window.location.href='./?pdf=y'"> -->
    </td>
  </tr>
</form>
</table>
<br/>
<?php print( PrintChar($character) ); ?>
<br/><br/>
<p class=thanks>
Thanks to <a href='http://truculent.org/llchar/'>LLCharGen</a> for original source. This version has been heavily modified and is in the process of being modularized.
<br/>
Please <a href="mailto:leaf@dizzydragon.net">report</a> any bugs you find in this version <a href="mailto:leaf@dizzydragon.net">here</a>.
</p>
<p class=thanks>
I make happy faces when people send a couple bucks, too.  It inspires me to hack harder on the things people want.
<center>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_s-xclick">
	<input type="hidden" name="hosted_button_id" value="S62S539BYRSAJ">
	<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
	<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
</center>
</p>
<p class=thanks>
<a href='bxchargen.tar.bz2'>Download source</a>
</p>
</body>
</html>
