<?php

	function SetAge( $character )
	{
		switch($character->class)
		{
			case 'Fighter':
				$character->age = 15 + mt_rand(1,4);
				$ratio = 1;
				break;   	
			case 'Ranger':
				$character->age = 20 + mt_rand(1,4);
				$ratio = 1;
				break;
			case 'Paladin':
				$character->age = 17 + mt_rand(1,4);
				$ratio = 1;
				break;  
			case 'Thief':
			case 'Cleric':
			case 'Druid':
				$character->age = 18 + mt_rand(1,4);
				$ratio = 1.3;
				break;		
			case 'Illusionist':
				$character->age = 30 + mt_rand(1,6);
				$ratio = 1.8;
				break;   	   	
			case 'Magic-User':
				$character->age = 24 + mt_rand(2,16);
				$ratio = 1.8;
				break;
			case 'Dwarf':
				$character->age = 40 + mt_rand(5,20);
				$ratio = 2.5;
				break;
			case 'Halfling':
				$character->age = 20 + mt_rand(3,12);
				$ratio = 1.5;
				break;
			case 'Elf':
				$character->age = 150 + mt_rand(5,30);
				$ratio = 4;
				break; 
			case 'Half-Elf':
				$character->age = 22 + mt_rand(1,16);
				$ratio = 1.2;
				break;
			case 'Gnome':
				$character->age = 80 + mt_rand(5,20);
				$ratio = 3;
				break;
			case 'Half-Orc':
				$character->age = 16 + mt_rand(1,6);		
				$ratio = .7;
				break;
		}
		
		// Add some years here for levels so we don't have 15 year old level 20 fighters
		if( $character->level > 1 )
			$character->age = round( $character->age + ($ratio*$character->level) );
	}
   
?>
