<?php

	// Ripped off from Angband character generation
	function GenerateBackground( $character )
	{
		switch( $character->class )
		{
			case 'Fighter':
			case 'Cleric':
			case 'Thief':
			case 'Magic-User':
				$birth = mt_rand(1,100);
				if( $birth < 11 )
					$background = 'You are the illegitimate and unacknowledged child ';
				else if( $birth < 21 )
					$background = 'You are the illegitimate but acknowledged child ';
				else if( $birth < 96 )
					$background = 'You are one of several children ';
				else
					$background = 'You are the first child ';
				
				$father = mt_rand(1,100);
				if($father < 41)
					$background .= 'of a Serf. ';
				else if($father < 66)
					$background .= 'a Yeoman. ';
				else if($father < 81)
					$background .= 'of a Townsman. ';
				else if($father < 91)
					$background .= 'of a Guildsman. ';
				else if($father < 97)
					$background .= 'of a Landed Knight. ';
				else if($father < 100)
					$background .= 'of a Titled Noble. ';
				else
					$background .= 'of a Royal Blood Line. ';
				
				$credit = mt_rand(1,100);
				if($credit < 21)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 81)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
				
				$eyes = mt_rand(1,100);
				if($eyes < 21)
					$background .= 'You have dark brown eyes, ';
				else if($eyes < 61)
					$background .= 'You have brown eyes, ';
				else if($eyes < 71)
					$background .= 'You have hazel eyes, ';
				else if($eyes < 81)
					$background .= 'You have green eyes, ';
				else if($eyes < 91)
					$background .= 'You have blue eyes, ';
				else
					$background .= 'You have blue-gray eyes, ';
				
				$hair1 = mt_rand(1,100);
				if($hair1 < 71)
					$background .= 'straight ';
				else if($hair1 < 91)
					$background .= 'wavy ';
				else
					$background .= 'curly ';
				
				$hair2 = mt_rand(1,100);
				if( $hair2 < 31)
					$background .= 'black hair, ';
				else if( $hair2 < 71)
					$background .= 'brown hair, ';
				else if( $hair2 < 81)
					$background .= 'auburn hair, ';
				else if( $hair2 < 91)
					$background .= 'red hair, ';
				else
					$background .= 'blond hair, ';
				
				$complexion = mt_rand(1,100);
				if($complexion < 11)
					$background .= 'and a very dark complexion.';
				else if($complexion < 31)
					$background .= 'and a dark complexion.';
				else if($complexion < 81)
					$background .= 'and an average complexion.';		
				else if($complexion < 91)
					$background .= 'and a fair complexion.';
				else
					$background .= 'and a very fair complexion.';		
				break;
				
				
			case 'Elf':
				$birth = mt_rand(1,100);
				if($birth < 61)
					$background = 'You are one of several children ';
				else
					$background = 'You are the only child ';
				
				$father1 = mt_rand(1,100);
				if($father1 < 41)
					$background .= 'of an Avarin ';
				else if($father1 < 71)
					$background .= 'of a Nandorin ';
				else if($father1 < 81)
					$background .= 'of a Telerin ';
				else if($father1 < 91)
					$background .= 'a Sindarin  ';
				else if($father1 < 97)
					$background .= 'of a Noldorin ';
				else
					$background .= 'of a Vanyarin ';
				
				$father2 = mt_rand(1,100);
				if($father2 < 41)
					$background .= 'Ranger. ';
				else if($father2 < 71)
					$background .= 'Archer. ';
				else if($father2 < 88)
					$background .= 'Warrior. ';
				else if($father2 < 96)
					$background .= 'Mage. ';
				else if($father2 < 99)
					$background .= 'Prince. ';
				else
					$background .= 'King ';
				
				$eyes = mt_rand(1,100);
				if($eyes < 86)
					$background .= 'You have light grey eyes, ';
				else if($eyes < 96)
					$background .= 'You have light blue eyes,  ';
				else
					$background .= 'You have light green eyes,  ';
				
				$hair1 = mt_rand(1,100);
				if($hair1 < 76)
					$background .= 'straight ';
				else
					$background .= 'wavy ';
				
				$hair2 = mt_rand(1,100);
				if( $hair2 < 76)
					$background .= 'black hair, and a fair complexion.';
				else if( $hair2 < 86)
					$background .= 'brown hair, and a fair complexion.';
				else if( $hair2 < 96)
					$background .= 'blond hair, and a fair complexion.';
				else
					$background .= 'silver hair, and a fair complexion.';	
				break;
				
				
			case 'Halfling':
				$birth = mt_rand(1,100);
				if($birth < 86)
					$background = 'You are one of several children of a Halfling ';
				else
					$background = 'You are the only child of a Halfling ';
	
				$father = mt_rand(1,100);
				if($father < 21)
					$background .= 'Burglar. ';
				else if($father < 31)
					$background .= 'Miller. ';
				else if($father < 41)
					$background .= 'Tavern Owner. ';
				else if($father < 51)
					$background .= 'Archer. ';
				else if($father < 81)
					$background .= 'Warrior. ';
				else if($father < 96)
					$background .= 'Shirriff. ';
				else if($father < 100)
					$background .= 'Mayor. ';
				else
					$background .= 'Clan Elder. ';
	
				$credit = mt_rand(1,100);
				if($credit < 21)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 81)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
	
				$eyes = mt_rand(1,100);
				if($eyes < 21)
					$background .= 'You have dark brown eyes, ';
				else if($eyes < 61)
					$background .= 'You have brown eyes, ';
				else if($eyes < 71)
					$background .= 'You have hazel eyes, ';
				else if($eyes < 81)
					$background .= 'You have green eyes, ';
				else if($eyes < 91)
					$background .= 'You have blue eyes, ';
				else
					$background .= 'You have blue-gray eyes, ';
	
				$hair1 = mt_rand(1,100);
				if($hair1 < 71)
					$background .= 'straight ';
				else if($hair1 < 91)
					$background .= 'wavy ';
				else
					$background .= 'curly ';
	
				$hair2 = mt_rand(1,100);
				if($hair2 < 31)
					$background .= 'black hair, ';
				else if($hair2 < 71)
					$background .= 'brown hair, ';
				else if($hair2 < 81)
					$background .= 'auburn hair, ';
				else if($hair2 < 91)
					$background .= 'red hair, ';
				else
					$background .= 'blond hair, ';
	
				$complexion = mt_rand(1,100);
				if($complexion < 11)
					$background .= 'and a very dark complexion.';
				else if($complexion < 31)
					$background .= 'and a dark complexion.';
				else if($complexion < 81)
					$background .= 'and an average complexion.';		
				else if($complexion < 91)
					$background .= 'and a fair complexion.';
				else
					$background .= 'and a very fair complexion.';		
				break;
	
	
			case 'Dwarf':
	
				$birth = mt_rand(1,100);
				if($birth < 26)
					$background = 'You are one of two children of a Dwarven ';
				else
					$background = 'You are the only child of a Dwarven ';
	
				$father = mt_rand(1,100);
				if($father < 11)
					$background .= 'Thief. ';
				else if($father < 26)
					$background .= 'Prison Guard. ';
				else if($father < 76)
					$background .= 'Miner. ';
				else if($father < 91)
					$background .= 'Warrior. ';
				else if($father < 100)
					$background .= 'Priest. ';
				else
					$background .= 'King. ';			
	
				$credit = mt_rand(1,100);
				if($credit < 16)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 86)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
	
				$eyes = mt_rand(1,100);
				if($eyes < 100)
					$background .= 'You have dark brown eyes, ';
				else
					$background .= 'You have glowing red eyes, ';
	
				$hair1 = mt_rand(1,100);
				if($hair1 < 91)
					$background .= 'straight ';
				else
					$background .= 'wavy ';
	
				$hair2 = mt_rand(1,100);
				if( $hair2 < 76)
					$background .= 'black hair, ';
				else
					$background .= 'brown hair, ';
	
				$beard = mt_rand(1,100);
				if($beard < 26)
					$background .= 'a one foot beard, and a dark complexion.';
				else if($beard < 61)
					$background .= 'a two foot beard, and a dark complexion.';
				else if($beard < 91)
					$background .= 'a three foot beard, and a dark complexion.';		
				else
					$background .= 'a four foot beard, and a dark complexion.';	
				break;
	
	
			case 'Half-Orc':
	
				$birth1 = mt_rand(1,100);
				if($birth1 < 26)
					$background = 'Your mother was an Orc, ';
				else
					$background = 'Your father was an Orc, ';
				
				$birth2 = mt_rand(1,100);
				if($birth2 < 21)
					$background .= 'and it is acknowledged. You are the adopted child ';
				else
					$background .= 'but it is unacknowledged. You are the adopted child ';
					
				$father = mt_rand(1,100);
				if($father < 41)
					$background .= 'of a Serf. ';
				else if($father < 66)
					$background .= 'a Yeoman. ';
				else if($father < 81)
					$background .= 'of a Townsman. ';
				else if($father < 91)
					$background .= 'of a Guildsman. ';
				else if($father < 97)
					$background .= 'of a Landed Knight. ';
				else if($father < 100)
					$background .= 'of a Titled Noble. ';
				else
					$background .= 'of a Royal Blood Line. ';
	
				$credit = mt_rand(1,100);
				if($credit < 21)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 81)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
	
				$eyes = mt_rand(1,100);
				if($eyes < 21)
					$background .= 'You have dark brown eyes, ';
				else if($eyes < 61)
					$background .= 'You have brown eyes, ';
				else if($eyes < 71)
					$background .= 'You have hazel eyes, ';
				else if($eyes < 81)
					$background .= 'You have green eyes, ';
				else if($eyes < 91)
					$background .= 'You have blue eyes, ';
				else
					$background .= 'You have blue-gray eyes, ';
	
				$hair1 = mt_rand(1,100);
				if($hair1 < 71)
					$background .= 'straight ';
				else if($hair1 < 91)
					$background .= 'wavy ';
				else
					$background .= 'curly ';
	
				$hair2 = mt_rand(1,100);
				if( $hair2 < 31)
					$background .= 'black hair, ';
				else if( $hair2 < 71)
					$background .= 'brown hair, ';
				else if( $hair2 < 81)
					$background .= 'auburn hair, ';
				else if( $hair2 < 91)
					$background .= 'red hair, ';
				else
					$background .= 'blond hair, ';
	
				$complexion = mt_rand(1,100);
				if($complexion < 11)
					$background .= 'and a very dark complexion.';
				else if($complexion < 31)
					$background .= 'and a dark complexion.';
				else if($complexion < 81)
					$background .= 'and an average complexion.';		
				else if($complexion < 91)
					$background .= 'and a fair complexion.';
				else
					$background .= 'and a very fair complexion.';		
				break;
				
				
			case 'Half-Elf':
			
				$elfparent = mt_rand(1,100);
				if($elfparent < 16)
					$background = 'Your mother was of the Avari. ';
				else if($elfparent < 31)
					$background = 'Your father was of the Avari. ';
				else if($elfparent < 51)
					$background = 'Your mother was of the Nandor. ';
				else if($elfparent < 71)
					$background = 'Your father was of the Nandor. ';
				else if($elfparent < 86)
					$background = 'Your mother was of the Sindar. ';
				else if($elfparent < 96)
					$background = 'Your father was of the Sindar. ';
				else if($elfparent < 99)
					$background = 'Your mother was of the Noldor. ';
				else
					$background = 'Your father was of the Noldor. ';
				
				$birth = mt_rand(1,100);
				if($birth < 11)
					$background .= 'You are the illegitimate and unacknowledged child ';
				else if($birth < 21)
					$background .= 'You are the illegitimate but acknowledged child ';
				else if($birth < 96)
					$background .= 'You are one of several children ';
				else
					$background .= 'You are the first child ';
	
				$father = mt_rand(1,100);
				if($father < 41)
					$background .= 'of a Serf. ';
				else if($father < 66)
					$background .= 'a Yeoman. ';
				else if($father < 81)
					$background .= 'of a Townsman. ';
				else if($father < 91)
					$background .= 'of a Guildsman. ';
				else if($father < 97)
					$background .= 'of a Landed Knight. ';
				else if($father < 100)
					$background .= 'of a Titled Noble. ';
				else
					$background .= 'of a Royal Blood Line. ';
	
				$credit = mt_rand(1,100);
				if($credit < 21)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 81)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
	
				$eyes = mt_rand(1,100);
				if($eyes < 21)
					$background .= 'You have dark brown eyes, ';
				else if($eyes < 61)
					$background .= 'You have brown eyes, ';
				else if($eyes < 71)
					$background .= 'You have hazel eyes, ';
				else if($eyes < 81)
					$background .= 'You have green eyes, ';
				else if($eyes < 91)
					$background .= 'You have blue eyes, ';
				else
					$background .= 'You have blue-gray eyes, ';
	
				$hair1 = mt_rand(1,100);
				if($hair1 < 71)
					$background .= 'straight ';
				else if($hair1 < 91)
					$background .= 'wavy ';
				else
					$background .= 'curly ';
	
				$hair2 = mt_rand(1,100);
				if($hair2 < 31)
					$background .= 'black hair, ';
				else if($hair2 < 71)
					$background .= 'brown hair, ';
				else if($hair2 < 81)
					$background .= 'auburn hair, ';
				else if($hair2 < 91)
					$background .= 'red hair, ';
				else
					$background .= 'blond hair, ';
	
				$complexion = mt_rand(1,100);
				if($complexion < 11)
					$background .= 'and a very dark complexion.';
				else if($complexion < 31)
					$background .= 'and a dark complexion.';
				else if($complexion < 81)
					$background .= 'and an average complexion.';		
				else if($complexion < 91)
					$background .= 'and a fair complexion.';
				else
					$background .= 'and a very fair complexion.';		
				break;
	
			
			case 'Gnome':
			
				$birth = mt_rand(1,100);
				if($birth < 86)
					$background = 'You are one of several children of a Gnome ';
				else
					$background = 'You are the only child of a Gnome ';
	
				$father = mt_rand(1,100);
				if($father < 21)
					$background .= 'Beggar. ';
				else if($father < 51)
					$background .= 'Braggart. ';
				else if($father < 76)
					$background .= 'Prankster. ';
				else if($father < 96)
					$background .= 'Warrior. ';
				else
					$background .= 'Mage. ';
	
				$credit = mt_rand(1,100);
				if($credit < 21)
					$background .= 'You are the black sheep of the family. ';
				else if($credit < 81)
					$background .= 'You are a credit to the family. ';
				else
					$background .= 'You are a well liked child. ';
	
				$eyes = mt_rand(1,100);
				if($eyes < 21)
					$background .= 'You have dark brown eyes, ';
				else if($eyes < 61)
					$background .= 'You have brown eyes, ';
				else if($eyes < 71)
					$background .= 'You have hazel eyes, ';
				else if($eyes < 81)
					$background .= 'You have green eyes, ';
				else if($eyes < 91)
					$background .= 'You have blue eyes, ';
				else
					$background .= 'You have blue-gray eyes, ';
	
				$hair1 = mt_rand(1,100);
				if($hair1 < 71)
					$background .= 'straight ';
				else if($hair1 < 91)
					$background .= 'wavy ';
				else
					$background .= 'curly ';
	
				$hair2 = mt_rand(1,100);
				if($hair2 < 31)
					$background .= 'black hair, ';
				else if($hair2 < 71)
					$background .= 'brown hair, ';
				else if($hair2 < 81)
					$background .= 'auburn hair, ';
				else if($hair2 < 91)
					$background .= 'red hair, ';
				else
					$background .= 'blond hair, ';
	
				$complexion = mt_rand(1,100);
				if($complexion < 11)
					$background .= 'and a very dark complexion.';
				else if($complexion < 31)
					$background .= 'and a dark complexion.';
				else if($complexion < 81)
					$background .= 'and an average complexion.';		
				else if($complexion < 91)
					$background .= 'and a fair complexion.';
				else
					$background .= 'and a very fair complexion.';		
				break;
		}
		$character->background = $background;
	}

?>