<?php

	function SetClass( $character, $className )
	{
		if( !isset($className) || $className == "" || $className == 'Random' )
		{
			$random = true;
		}
		else
		{
			$random = false;
			$character->class = $className;
			if( $className == 'Halfling' )
			{
				if( $character->dex < 9 )
					$character->dex = 9;
				if( $character->con < 9 )
					$character->con = 9;
			}
			if( $className == 'Elf' )
			{
				if( $character->int < 9 )
					$character->int = 9;
			}
			if( $className == 'Dwarf' )
			{
				if( $character->con < 9 )
					$character->con = 9;
			}
			GetAdjustments( $character );
		}
	
	   	$stats = array();
	   	$tmp = array( "str"=>$character->str, "dex"=>$character->dex, "wis"=>$character->wis, "int"=>$character->int );   	
	   	asort( $tmp );
	   	foreach( $tmp as $key => $value )
	   		array_push( $stats, $key );
		
		if( $random )
		{
			if( mt_rand(1,5) == 1 )
			{
				if( $character->dex >= 9 && $character->con >= 9 && $character->dex >= $character->str )
				{
				    $character->class = 'Halfling';
				    $human = false;
				}
				else if( $character->int >= 9 && $character->str >= 9 && $character->int >= $character->dex )
				{
				    $character->class = 'Elf';
				    $human = false;
				}
				else if( $character->con >= 9 && $character->str >= 9 && $character->str > $character->int )
				{
				    $character->class = 'Dwarf';
				    $human = false;
				}
				else
				    $human = true;
			}
			else
			{
				$human = true;
			}
	
			if( $human )
			{
				switch( array_pop($stats) )
				{
					case 'str':
						$character->class = 'Fighter';
						break;
					case 'int':
						$character->class = 'Magic-User';
						break;		   
					case 'wis':
						$character->class = 'Cleric';
						break;		   
					case 'dex':
						$character->class = 'Thief';
						break;		   
				}
			}
	 	}
	 	
	 	switch( $character->class )
		{
			case 'Fighter':
				$character->hitdie = 8;
				$character->hpbonus = 2;
				break;
			case 'Magic-User':
				$character->hitdie = 4;
				$character->hpbonus = 1;
				break;
			case 'Cleric':
				$character->hitdie = 6;
				$character->hpbonus = 1;
				break;
			case 'Thief':
				$character->hitdie = 4;
				$character->hpbonus = 2;
				break;
			case 'Halfling':
				$character->hitdie = 6;
				$character->hpbonus = 0;
				break;
			case 'Elf':
				$character->hitdie = 6;
				$character->hpbonus = 2;
				break;
			case 'Dwarf':
				$character->hitdie = 8;
				$character->hpbonus = 3;
				break;
		}
		
		GetAdjustments( $character );
	}

?>
