<?php
	
	// Adds additional languages per Int stat. I used a "common list".
	function SetLanguages( $character )
	{
		switch( $character->class )
		{
			case 'Elf':
				$character->spokenlangs = array('Common',$character->align,'Elvish','Gnoll','Hobgoblin','Orcish');
				break;
			case 'Dwarf':
				$character->spokenlangs = array('Common',$character->align,'Dwarvish','Goblin','Gnome','Kobold');
				break;
			default:
				$character->spokenlangs = array('Common',$character->align);
				break;
		}
		for( $i=0;$i < $character->addlang; $i++ )
		{
			$langs = array(
						'Bugbear',
						'Doppleganger',
						'Dragon',
						'Dwarvish',
						'Elvish',
						'Gargoyle',
						'Gnoll',
						'Gnome',
						'Goblin',
						'Halfling',
						'Harpy',
						'Hobgoblin',
						'Kobold',
						'Lizard Man',
						'Medusa',
						'Minotaur',
						'Ogre',
						'Orc',
						'Pixie',
						'Human Dialect'
					);
			$notknown = false;
			while($notknown == false)
			{
				$randlang = $langs[mt_rand(0,count($langs)-1)];
				if(in_array($randlang, $character->spokenlangs))
				{
					$notknown = false;
				}
				else
				{
					array_push($character->spokenlangs, $randlang);
					$notknown = true;
				}
			} 
		}
	}

?>