<?php

	// Pick a random name from somefile.txt. Expanded names files as of now, 
	//	using Greek for Clerics and Mages, Barbarian names for Fighters and Thieves.
	function SetName( $character, $nameVal )
	{
		if( !isset($nameVal) || $nameVal == null || $nameVal == "" || $nameVal == "Random" )
		{
			$namefile = "";
			switch( $character->class )
			{
				case 'Fighter':
				case 'Thief':
					if( $character->sex == 'Male' )
						$namefile = 'data/Names_Barbarian_Male.txt';
					else
						$namefile = 'data/Names_Barbarian_Female.txt';
					break;
				case 'Magic-User':
				case 'Cleric':
					if( $character->sex == 'Male' )
						$namefile = 'data/Names_Greek_Male.txt';
					else
						$namefile = 'data/Names_Greek_Female.txt';
					break;
				case 'Elf':
					if( $character->sex == 'Male' )
						$namefile = 'data/Names_Elf_Male.txt';
					else
						$namefile = 'data/Names_Elf_Female.txt';
					break;
				case 'Halfling':
					if( $character->sex == 'Male' )
						$namefile = 'data/Names_Halfling_Male.txt';
					else
						$namefile = 'data/Names_Halfling_Female.txt';
					$namefilelast = 'data/Names_Halfling_Last.txt';
					break;		
				case 'Dwarf':
					$namefile = 'data/Names_Dwarf.txt';
					break;
			}
			
			if( file_exists($namefile) )
			{
				$names = file($namefile);
				$character->name = trim($names[(rand(0,count($names)-1))]);
			}
			else
			{
				$character->name = "NameFileNotFound Error";
			}
			
			if( isset($namefilelast) )
			{
				if( file_exists($namefilelast) )
				{
					$names = file( $namefilelast );
					$character->name .= ' '.trim($names[(rand(0,count($names)-1))]);
				}
				else
				{
					$character->name .= ", LastNameFileNotFound Error";
				}
			}
		}
		else
		{
			$character->name = $nameVal;	    
		}
	}

?>
